/* ------------------------------------------------------------------------ */
/*                                                                          */
/*  Copyright (C)                                                           */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful, but     */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-    */
/*  ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General        */
/*  Public License for more details.                                        */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                   */
/*                                                                          */
/* ------------------------------------------------------------------------ */
/*  $Author: vogje02 $ $Revision: 1.1 $ $Date: 2002/05/19 23:51:36 $      */
/* ------------------------------------------------------------------------ */

class CStaticLink : public CStatic {
public:
    CStaticLink();

    // you can change these any time:
    COLORREF     m_colorUnvisited;         // color for unvisited
    COLORREF     m_colorVisited;           // color for visited
    BOOL         m_bVisited;               // whether visited or not

    // URL/filename for non-text controls (e.g., icon, bitmap) or when link is
    // different from window text. If you don't set this, CStaticIcon will
    // use GetWindowText to get the link.
    CString     m_link;

protected:
    DECLARE_DYNAMIC(CStaticLink)
    CFont         m_font;                  // underline font for text control

    // message handlers
	// Generated message map functions
	//{{AFX_MSG(CStaticLink)
    afx_msg HBRUSH CtlColor(CDC* pDC, UINT nCtlColor);
    afx_msg void    OnClicked();
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};
